AppWorx, Dollar Universe and Sysload Community

Expand all | Collapse all

AM v9.3 startso problem

  • 1.  AM v9.3 startso problem

    Posted 05-03-2019 04:48 PM

    Hello,

    Hope this finds everyone doing well. We have 2 AM v9.3 test environments. We had an issue come up where we had to stop and start these environments, one Master came up fine, the other Master will not start with the following message:

     

     jvm_bits not defined, set to 32

     

    Both environments are pretty much identical. Everything was running fine prior to the stop\start. Anybody know what this means? Our Masters run on Linux (SUSE).

     

    Thanks!



  • 2.  Re: AM v9.3 startso problem

    Posted 05-03-2019 05:01 PM

    yes I am looking for the answer to this too! we just tried upgrading one of our lower enviroments of AE 9.1.3 to AE 9.3 and I am getting same errors in my logs.



  • 3.  Re: AM v9.3 startso problem

    Posted 05-06-2019 04:10 PM

    Traced this to the Linux account's PATH. Not sure why, no changes have been made to the Linux user, nor to AppMan since upgrading to 9.3 a month ago, but it appears that the java home path (set in .profile) is not feeding into PATH at login like it normally does. After logging in I manually exported the java home path to PATH and that worked. We were able to start AppMan and are once again running. We continue to research why this is occurring. A second AppMan account on this very same server is fine. Gremlins.



  • 4.  RE: Re: AM v9.3 startso problem

    Posted 06-03-2019 12:08 PM
    The other option is you can set it in your sosite file instead of the .profile. This will ensure it's executed prior to running startso.

    Linux: JAVA_HOME=/apps/am/master/jre;export JAVA_HOME
    Windows: SET PATH=D:\AM\Agent\jre\bin;%PATH%

    Sorry, I can't find the actual KBA due to the forum migration.


  • 5.  RE: Re: AM v9.3 startso problem

    Posted 08-25-2020 02:33 PM
    This is not helping. I am still getting the same error to bring up my agentservice after upgrade from v9.1.1 to v9.3.2


  • 6.  RE: Re: AM v9.3 startso problem

    Posted 09-22-2020 06:26 PM
    After apply this solution but problem remain the same. I am very sure java 1.8 had installed and jre 1.8 exported into the path correctly. I even set it in sosite file per your suggestion but the problem remain the same.

    Unfortunately, no respond from any broadcom staff. no KBA available. no solution. 

    Checking Java Version
    No java version found

    *****************************************************************************

    err = 1
    Error: A minimum of Java 8 is required for the Applications Manager install
    Fatal Error occurred - check the log /opt/appworx/install/aw_install.log

    jvm_bits not defined, set to 32 ==================
    Requested processes "all" not running
    stopso done
    Installation exited with errors

    *******************************************************************************
    *******************************************************************************
    done.